Download it now!
Bug 119777 - CRASH opening the page dialog (gtk3)
Summary: CRASH opening the page dialog (gtk3)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2018-09-10 08:22 UTC by Xisco Faulí
Modified: 2018-09-11 09:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-09-10 08:22:16 UTC
Steps to reproduce:
1. Open Writer
2. Go to Format - Page

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 433fce6571d4b9121374047324a7d2d2722ac3e4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 1 Xisco Faulí 2018-09-10 08:24:39 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=a2304f62e963b413b7575bedfb8d34e5f2d3ea58

author	Caolán McNamara <caolanm@redhat.com>	2018-08-30 09:43:59 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-09-07 14:42:31 +0200
commit	a2304f62e963b413b7575bedfb8d34e5f2d3ea58 (patch)
tree	e92b8fce9d381deb02a9823ca24cd20a272c08d0
parent	1a86f5643f3c36ead2f9aee42571664c2454ccf7 (diff)
weld writer page style dialog and SvxBorderBackgroundDlg
writer, format page is complete

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2018-09-10 10:02:51 UTC
works fine here, is there a backtrace ?
Comment 3 Xisco Faulí 2018-09-10 15:04:49 UTC
Damn, I waited for an hour to download the latest debug daily build to find it doesn't have gtk3...

This is the terminal output from the bisect repo:

(soffice:21974): Gtk-ERROR **: failed to add UI: /home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/../share/config/soffice.cfg/svt/ui/linewindow.ui:5:1 Required gtk+ version 3.20, current version is 3.18


Fatal exception: Signal 5
Stack:
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libuno_sal.so.3(+0x3a860)[0x7f5f7d7ca860]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libuno_sal.so.3(+0x3a9d0)[0x7f5f7d7ca9d0]
/lib/x86_64-linux-gnu/libc.so.6(+0x354b0)[0x7f5f7d1364b0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_logv+0x2ab)[0x7f5f6db5ca5b]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_log+0x8f)[0x7f5f6db5cbcf]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_builder_new_from_file+0x7a)[0x7f5f649a21ba]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvclplug_gtk3lo.so(+0xad9bd)[0x7f5f652639bd]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN11Application13CreateBuilderEPN4weld6WidgetERKN3rtl8OUStringE+0x4c)[0x7f5f7583d1cc]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsvtlo.so(_ZN14SvtLineListBoxC2ESt10unique_ptrIN4weld10MenuButtonESt14default_deleteIS2_EE+0x6d)[0x7f5f77219d4d]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libcuilo.so(+0x51331d)[0x7f5f51d5331d]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libcuilo.so(+0x515cc9)[0x7f5f51d55cc9]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsfxlo.so(+0x3a0954)[0x7f5f7913e954]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsfxlo.so(_ZN22SfxTabDialogController10Start_ImplEv+0x24)[0x7f5f7913ef44]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsfxlo.so(_ZN22SfxTabDialogController8runAsyncERKSt10shared_ptrIS_ERKSt8functionIFviEE+0x26)[0x7f5f7913f136]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/../program/libswlo.so(+0xb59430)[0x7f5f5885a430]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/../program/libswlo.so(_ZN10SwDocShell10FormatPageERKN3rtl8OUStringERKNS0_7OStringER10SwWrtShellP10SfxRequest+0x31)[0x7f5f5885b431]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/../program/libswlo.so(+0xc68a1b)[0x7f5f58969a1b]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsfxlo.so(+0x2c6660)[0x7f5f79064660]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsfxlo.so(+0x2cac8e)[0x7f5f79068c8e]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsfxlo.so(+0x4e6bf3)[0x7f5f79284bf3]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(+0x379085)[0x7f5f75907085]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN16SalUserEventList18DispatchUserEventsEb+0x1aa)[0x7f5f75b2ec8a]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvclplug_gtk3lo.so(+0xa2949)[0x7f5f65258949]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x15a)[0x7f5f6db5604a]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4a3f0)[0x7f5f6db563f0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f5f6db5649c]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvclplug_gtk3lo.so(+0xa3c9b)[0x7f5f65259c9b]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN11Application5YieldEv+0x2e)[0x7f5f75b4e60e]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_ZN11Application7ExecuteEv+0x45)[0x7f5f75b4fe75]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsofficeapp.so(+0x2b8a7)[0x7f5f7d4f68a7]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(+0x5c7d66)[0x7f5f75b55d66]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libvcllo.so(_Z6SVMainv+0x22)[0x7f5f75b55e52]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/libsofficeapp.so(soffice_main+0x8a)[0x7f5f7d522e8a]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/soffice.bin[0x40066b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0)[0x7f5f7d121830]
/home/xisco/bibisect/bibisect-linux64-6.2/instdir/program/soffice.bin[0x40069f]

if it's not helpful, let me know and I will build LibreOffice over night.
Comment 4 Caolán McNamara 2018-09-10 15:27:16 UTC
aha, https://gerrit.libreoffice.org/#/c/60270/ might fix that then.
Comment 5 Commit Notification 2018-09-10 19:57:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c6c179ee4e71127194c4e50fd96ad21995a85c9

tdf#119777 min target is 3.18, not 3.20

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-09-11 08:21:39 UTC
Verified in

Version: 6.2.0.0.alpha0+
Build ID: 2da435922f9c1fcf52eb0c1eb3d6f73581e9f793
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded

@Caolán, Thanks for the quick fix!